---
name: Bug report
about: Create a report to help us improve
title: ''
labels: bug
assignees: ''

---

**Describe the bug**
A clear and concise description of what the bug is.

**To Reproduce**
Steps to reproduce the behavior:
1. Go to '...'
2. Click on '...'
3. Scroll down to '...'
4. See error

**Expected behavior**
A clear and concise description of what you expected to happen.

**Screenshots**
If applicable, add screenshots to help explain your problem.

**Desktop (please complete the following information):**
 - OS: [e.g. MacOS X]
 - Browser: [e.g. Chrome, Safari]
 - Version: [e.g. 22]

**Server (please complete the following information):**
 - OS: [e.g. CentOS 7]
 - HTTP server: [e.g. nginx 1.1]
 - Database: [e.g. MySQL 5.3]
 - PHP version: [e.g. v7.2]
 - Nextcloud version: [e.g. 15.0.1 (see Nextcloud admin page)]
 - Bookmarks app version: [e.g. 1.1.0 (see Nextcloud apps page)]
 - Activated Nextcloud Apps: [the output of running `$ sudo -u www-data php occ app:list` in your command line]
 - Nextcloud configuration: [the output of running `sudo -u www-data php occ config:list system`]
 - Nextcloud external user backend: [e.g. ldap, or none]

**Additional context**
Add any other context about the problem here.

**Web server error log**
```
Insert your webserver log here
```

**Nextcloud log (nextcloud/data/nextcloud.log)**
```
Insert your Nextcloud log here
```

**Browser log**
```
Insert your browser log here, this could for example include:

a) The javascript console log
b) The network log 
c) ...
```
